Submit a ticketCall us

Looking to compare latest NPM features with previous versions of NPM?
The NPM new feature summary offers a comparison of new features and improvements offered with this release.

 

 

 

 

Home > Success Center > Network Performance Monitor (NPM) > Error - No valid package combination was found for current system

Error - No valid package combination was found for current system

Updated April 18, 2017

Overview

This article describes the issue when you receiving the following error:

No valid package combination was found for current system.

Environment

  • NPM 11.5.2 with an additional polling engine
  • When upgrading to NCM 7.5 from NCM 7.4

Cause 

This might be caused by SolarWinds keys in registry.

Resolution

NPM 11.5.2

  1. Uninstall the SolarWinds additional polling engine.
  2. Remove SolarWinds folders and files.
  3. Remove SolarWinds keys in registry.
  4. Reinstall the SolarWinds additional polling engine.

NCM upgrade issue

If you were upgrading multiple products at the same time and there were errors before installing NCM, uninstall and re-install the application with issues, and run a repair. The configuration wizard should complete.

If the configuration wizard does not complete and only NCM is having this issue, complete the following steps:

  1. Back up the Database.
  2. Uninstall the NCM integration and NCM server.
  3. Back up the Configuration Management folder (if it exists), and then remove the folder.
  4. Move all NCM-related dlls from the Orion folder to a backup location (do not just rename the files).
  5. Reinstall NCM.

    If you still get the package error, run a repair on the Orion Core. The configuration wizard should complete.

Last modified
06:52, 18 Apr 2017

Tags

Classifications

Public